Subject: draft-ietf-smime-idea-05.txt

From: Russ Housley <[email-masked]>
Date: Wed, 05 Jul 2000 09:00:46 -0400

The new draft still contains the following ASN.1 for the IDEA Parameters:

      IDEA-CBCPar ::= SEQUENCE {
         IV OCTET STRING OPTIONAL -- exactly 8 octets }

First, the ASN.1 has an error because the '}' is within a comment.

Second, I see no reason for the SEQUENCE.  Has code already been written 
and deployed that uses this syntax?

Russ

At 06:44 AM 06/27/2000 -0400, [email-masked] wrote:
>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
>This draft is a work item of the S/MIME Mail Security Working Group of the 
>IETF.
>
>         Title           : Use of the IDEA Encryption Algorithm in CMS
>         Author(s)       : S. Teiwes, P. Hartmann, D. Kuenzi
>         Filename        : draft-ietf-smime-idea-05.txt
>         Pages           : 6
>         Date            : 26-Jun-00
>
>This memo specifies how to incorporate IDEA (International Data
>Encryption Algorithm) [IDEA] into S/MIME [SMIME2, SMIME3] as
>an additional strong algorithm for symmetric encryption. For
>organizations who make use of IDEA for data security purposes
>it is of high interest that IDEA is also available in S/MIME.
>The intention of this memo is to provide the OIDs and algorithms
>required that IDEA can be included in S/MIME for symmetric content
>and key encryption.
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-ietf-smime-idea-05.txt
>
>Internet-Drafts are also available by anonymous FTP. Login with the username
>"anonymous" and a password of your e-mail address. After logging in,
>type "cd internet-drafts" and then
>         "get draft-ietf-smime-idea-05.txt".
>
>A list of Internet-Drafts directories can be found in
>http://www.ietf.org/shadow.html
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>Internet-Drafts can also be obtained by e-mail.
>
>Send a message to:
>         [email-masked].
>In the body type:
>         "FILE /internet-drafts/draft-ietf-smime-idea-05.txt".
>
>NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>
>
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.
>Content-Type: text/plain
>Content-ID:     <[email-masked]>
>
>ENCODING mime
>FILE /internet-drafts/draft-ietf-smime-idea-05.txt
>
><ftp://ftp.ietf.org/internet-drafts/draft-ietf-smime-idea-05.txt>